CREATE TABLE anc_per_abs_shift_calc_ent (
    PER_ABS_SHIFT_CALC_ENTRY_ID    NUMBER(18, 0),
    PER_ABS_SHIFT_BREAKDOWN_ID     NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID                  NUMBER(18, 0)    NOT NULL,
    PERSON_ID                      NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID                  NUMBER(18, 0)    NOT NULL,
    PER_ABSENCE_ENTRY_ID           NUMBER(18, 0)    NOT NULL,
    ABSENCE_TYPE_ID                NUMBER(18, 0)    NOT NULL,
    UOM                            VARCHAR2(120)    NOT NULL,
    START_DATETIME                 TIMESTAMP(6)     NOT NULL,
    END_DATETIME                   TIMESTAMP(6)     NOT NULL,
    DURATION                       NUMBER           NOT NULL,
    DURATION_IN_MILLISECONDS       NUMBER       ,
    SCHEDULE_TYPE                  VARCHAR2(120)    NOT NULL,
    EARNED_DATE                    DATE             NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    PER_ABS_SHIFT_CALC_ENTRY_ID    NUMBER(18, 0),
    PER_ABS_SHIFT_BREAKDOWN_ID     NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID                  NUMBER(18, 0)    NOT NULL,
    PERSON_ID                      NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID                  NUMBER(18, 0)    NOT NULL,
    PER_ABSENCE_ENTRY_ID           NUMBER(18, 0)    NOT NULL,
    ABSENCE_TYPE_ID                NUMBER(18, 0)    NOT NULL,
    UOM                            VARCHAR2(120)    NOT NULL,
    START_DATETIME                 TIMESTAMP(6)     NOT NULL,
    END_DATETIME                   TIMESTAMP(6)     NOT NULL,
    DURATION                       NUMBER           NOT NULL,
    SCHEDULE_TYPE                  VARCHAR2(120)    NOT NULL,
    EARNED_DATE                    DATE             NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    DURATION_IN_MILLISECONDS       NUMBER       ,
    CONSTRAINT pk_anc_per_abs_shift_calc_ent PRIMARY KEY (PER_ABS_SHIFT_CALC_ENTRY_ID, PER_ABS_SHIFT_CALC_ENTRY_ID)
);
